Subject: Re: bug#74736: [PATCH v2 0/1] Add Request-For-Comment process.

From: Simon Tournier <[email-masked]>
Date: Thu, 16 Jan 2025 19:01:38 +0100

Hi,

On Thu, 16 Jan 2025 at 17:10, Ludovic Courtès <[email-masked]> wrote:

>> Concerning consensus, I am mildly worried about deadlocks (including 
>> when trying to modify this RFC/GCD). What happens if some person insists
>> on disapproving?
>
> This is a general question about consensus building.

I agree.

> Perhaps the “Decision Making” section could stress that, with a
> paragraph above “To learn …” along these lines:
>
>   Consensus building requires that participants share a common goal,
>   trust each other to act in good faith, listen to one another’s
>   concerns to take them into account, and are committed to donating
>   enough of their time to achieve it.

To me, this paragraph would be redundant with this other paragraph:

        Thus, no decision is made against significant concerns; these concerns
        are actively resolved through counter proposals.  A deliberating member
        disapproving a proposal bears a responsibility for finding alternatives,
        proposing ideas or code, or explaining the rationale for the status quo.

> A deliberating member who “insists on disapproving”, without proposing
> alternative paths, wouldn’t meet these requirements.

Yes and I think that already included in the paragraph above, no?

> I believe right now people who become team members or committers have
> already demonstrated these abilities.  I think this is where these
> expectations should be clarified and agreed upon.

It’s also my point of view.

As we clarified over the time the expectations for Committers, Reviewing
the work of others, etc. I think we need another GCD in order to
document these expectations.

Cheers,
simon